Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ecb407dd-2bec-412e-8085-347eda58ce1c","userId":"48a1c905-cc11-468e-8770-07ffa2b3b0a0","departmentId":"6ceb0fab-6c6e-422d-8110-1383737d4c51","areaDepartmentId":"14b73ead-2f59-4004-a188-44300855269f","creationDateTime":"2026-10-30T09:48:04.4449658+00:00"},{"id":"4fead103-54af-4320-a290-02edc531d71e","userId":"ab264168-7aa3-4ad2-b0ff-13ddb63eded4","departmentId":"d468ce76-aec4-4f46-8730-5dbeb05b140b","areaDepartmentId":null,"creationDateTime":"2026-10-29T09:48:04.4449658+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string